Skip to main content
DELETE
/
api
/
v1
/
beam
/
datasets
/
{dataset_id}
Delete Dataset Handler
curl --request DELETE \
  --url https://api.allium.so/api/v1/beam/datasets/{dataset_id} \
  --header 'X-API-KEY: <api-key>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
Permanently deletes a dataset and all its entries. Path parameters:
ParameterDescription
dataset_idDataset ID
curl -X DELETE https://api.allium.so/api/v1/beam/datasets/${DATASET_ID} \
  -H "X-API-Key: ${ALLIUM_API_KEY}"
Returns 204 No Content on success.
This action is irreversible. All entries stored in the dataset will be permanently deleted.

Authorizations

X-API-KEY
string
header
required

Path Parameters

dataset_id
string
required

Response

Successful Response